## mandvd 2.5

=== Makefile ===
#############################################################################
# Makefile for building: mandvd
# Generated by qmake (1.07a) (Qt 3.3.8b) on: Sun Mar  8 18:32:50 2009
# Project:  mandvd.pro
# Template: app
# Command: $(QMAKE) -o Makefile mandvd.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib64/qt-3.3/mkspecs/default -I. -I. -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = animation.h \
		chapter.h \
		cut.h \
		dvdbuild.h \
		lang.h \
		langSV.h \
		mainfrm.ui.h \
		mandvd.h \
		mandvd_global.h \
		qmplayerwidget.h \
		qplayer_global.h \
		slideshow.h \
		subtitle.h \
		xml_mplayer.h \
		langPT.h \
		langGE.h
SOURCES = animation.cpp \
		chapter.cpp \
		cut.cpp \
		dvdbuild.cpp \
		lang.cpp \
		main.cpp \
		mandvd.cpp \
		qmplayerwidget.cpp \
		slideshow.cpp \
		subtitle.cpp
OBJECTS = animation.o \
		chapter.o \
		cut.o \
		dvdbuild.o \
		lang.o \
		main.o \
		mandvd.o \
		qmplayerwidget.o \
		slideshow.o \
		subtitle.o \
		mainfrm.o
FORMS = mainfrm.ui
UICDECLS = mainfrm.h
UICIMPLS = mainfrm.cpp
SRCMOC   = moc_qmplayerwidget.cpp \
		moc_mainfrm.cpp
OBJMOC = moc_qmplayerwidget.o \
		moc_mainfrm.o
DIST	   = mandvd.pro
QMAKE_TARGET = mandvd
DESTDIR  = 
TARGET   = mandvd

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: mandvd.pro  /usr/lib64/qt-3.3/mkspecs/default/qmake.conf /usr/lib64/qt-3.3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile mandvd.pro
qmake: 
	@$(QMAKE) -o Makefile mandvd.pro

dist: 
	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

animation.o: animation.cpp mandvd_global.h \
		animation.h \
		mainfrm.h \
		qmplayerwidget.h

chapter.o: chapter.cpp mandvd_global.h \
		chapter.h \
		mainfrm.h \
		qmplayerwidget.h

cut.o: cut.cpp mandvd_global.h \
		cut.h \
		mainfrm.h \
		qmplayerwidget.h

dvdbuild.o: dvdbuild.cpp mandvd_global.h \
		dvdbuild.h \
		mainfrm.h \
		qmplayerwidget.h

lang.o: lang.cpp mandvd_global.h \
		lang.h \
		langSV.h \
		langPT.h \
		langGE.h \
		mainfrm.h \
		qmplayerwidget.h

main.o: main.cpp mandvd_global.h \
		mainfrm.h \
		qmplayerwidget.h

mandvd.o: mandvd.cpp mandvd_global.h \
		mandvd.h \
		mainfrm.h \
		qmplayerwidget.h

qmplayerwidget.o: qmplayerwidget.cpp xml_mplayer.h \
		qplayer_global.h \
		qmplayerwidget.h

slideshow.o: slideshow.cpp mandvd_global.h \
		mainfrm.h \
		slideshow.h \
		qmplayerwidget.h

subtitle.o: subtitle.cpp mandvd_global.h \
		subtitle.h \
		mainfrm.h \
		qmplayerwidget.h

mainfrm.h: mainfrm.ui qmplayerwidget.h
	$(UIC) mainfrm.ui -o mainfrm.h

mainfrm.cpp: mainfrm.h mainfrm.ui mainfrm.ui.h qmplayerwidget.h
	$(UIC) mainfrm.ui -i mainfrm.h -o mainfrm.cpp

mainfrm.o: mainfrm.cpp mainfrm.ui.h \
		mainfrm.h

moc_qmplayerwidget.o: moc_qmplayerwidget.cpp  qmplayerwidget.h 

moc_mainfrm.o: moc_mainfrm.cpp  mainfrm.h qmplayerwidget.h

moc_qmplayerwidget.cpp: $(MOC) qmplayerwidget.h
	$(MOC) qmplayerwidget.h -o moc_qmplayerwidget.cpp

moc_mainfrm.cpp: $(MOC) mainfrm.h
	$(MOC) mainfrm.h -o moc_mainfrm.cpp

####### Install

install:  

uninstall:
