## mandvd 2.5-5

=== debian/changelog ===
mandvd (2.5-5-0ubuntu2) lucid; urgency=low

  * 01-ntsc_projects_fps.diff: Adjust FPS to fix building of animated menu
    when NTSC is selected, fixes LP: #420616.
  * Bump Standards.
  * Switch to debian 3.0 (quilt) format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 20:00:10 +0200

mandvd (2.5-5-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #372246).
  * debian/control:
    - Bump-up Standards-Version.
    - Suggests on gimp.
    - Adjust long description.
  * Update debian/copyright.
  * debian/mandvd.install:
    - Install patched .desktop file.
  * debian/rules:
    - Add simple patch system support.
  * Add debian/patches/01-fix_desktop_file.diff patch to fix the .desktop file
    as-per-spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 May 2009 17:25:24 +0200

mandvd (2.5-4-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #105464).
  * Added manpage.
  * Fixed mandvd.desktop according with Freedesktop.org spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 08 Feb 2009 12:48:47 +0100
