=== debian/control ===
Source: mandvd
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5), libqt3-mt-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-apps.org/content/show.php?content=83906

Package: mandvd
Architecture: any
Depends: ${shlibs:Depends},
 dvd-slideshow,
 mencoder,
 mplayer | mplayer-nogui,
 lame,
 transcode,
 dvd+rw-tools,
 dvdauthor,
 genisoimage,
 wodim,
 ${misc:Depends}
Recommends: xine-ui
Suggests: k3b | brasero | gnomebaker, gimp
Description: simple Video DVD creator
 ManDVD is an application for creating video DVDs from a wide
 variety of video formats. You can add as many video clips you
 want to generate a DVD with chapters, subtitles, transition
 effects, brightness and contrast settings.
 .
 If the imported videos are not compatible with standard DVDs,
 you can convert from ManDVD. It also offers the possibility of
 extracting images, synchronize audio and video, create a video
 introduction to the DVD, reduce noise, create subtitles and
 even a menu with animation for your DVD.
