=== debian/watch ===
version=3
http://www.grommit.se/mandvd/mandvd-(.*-[0-9])*\.fc[0-9]*\.tar\.gz
