## mandvd 2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mandvd
-# Generated by qmake (1.07a) (Qt 3.3.8b) on: Sun Mar  8 18:32:50 2009
+# Generated by qmake (1.07a) (Qt 3.3.8b) on: Thu May 13 21:27:23 2010
 # Project:  mandvd.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile mandvd.pro
@@ -48,8 +48,13 @@
 HEADERS = animation.h \
 		chapter.h \
 		cut.h \
+		dialog.h \
 		dvdbuild.h \
+		dvdmenu.h \
+		effects.h \
 		lang.h \
+		langGE.h \
+		langPT.h \
 		langSV.h \
 		mainfrm.ui.h \
 		mandvd.h \
@@ -58,13 +63,14 @@
 		qplayer_global.h \
 		slideshow.h \
 		subtitle.h \
-		xml_mplayer.h \
-		langPT.h \
-		langGE.h
+		xml_mplayer.h
 SOURCES = animation.cpp \
 		chapter.cpp \
 		cut.cpp \
+		dialog.cpp \
 		dvdbuild.cpp \
+		dvdmenu.cpp \
+		effects.cpp \
 		lang.cpp \
 		main.cpp \
 		mandvd.cpp \
@@ -74,7 +80,10 @@
 OBJECTS = animation.o \
 		chapter.o \
 		cut.o \
+		dialog.o \
 		dvdbuild.o \
+		dvdmenu.o \
+		effects.o \
 		lang.o \
 		main.o \
 		mandvd.o \
@@ -85,9 +94,11 @@
 FORMS = mainfrm.ui
 UICDECLS = mainfrm.h
 UICIMPLS = mainfrm.cpp
-SRCMOC   = moc_qmplayerwidget.cpp \
+SRCMOC   = moc_dialog.cpp \
+		moc_qmplayerwidget.cpp \
 		moc_mainfrm.cpp
-OBJMOC = moc_qmplayerwidget.o \
+OBJMOC = moc_dialog.o \
+		moc_qmplayerwidget.o \
 		moc_mainfrm.o
 DIST	   = mandvd.pro
 QMAKE_TARGET = mandvd
@@ -133,7 +144,7 @@
 	@$(QMAKE) -o Makefile mandvd.pro
 
 dist: 
-	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd
+	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mandvd_de.ts mandvd_se.ts mandvd_pt.ts mandvd_fr.ts mandvd_en.ts .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
@@ -159,9 +170,10 @@
 
 ####### Compile
 
-animation.o: animation.cpp mandvd_global.h \
-		animation.h \
-		mainfrm.h \
+animation.o: animation.cpp animation.h \
+		mandvd_global.h \
+		mainfrm.h \
+		dialog.h \
 		qmplayerwidget.h
 
 chapter.o: chapter.cpp mandvd_global.h \
@@ -174,26 +186,40 @@
 		mainfrm.h \
 		qmplayerwidget.h
 
-dvdbuild.o: dvdbuild.cpp mandvd_global.h \
-		dvdbuild.h \
-		mainfrm.h \
+dialog.o: dialog.cpp dialog.h
+
+dvdbuild.o: dvdbuild.cpp dvdbuild.h \
+		mainfrm.h \
+		mandvd_global.h \
+		qmplayerwidget.h
+
+dvdmenu.o: dvdmenu.cpp dvdmenu.h \
+		mainfrm.h \
+		mandvd_global.h \
+		dialog.h \
+		qmplayerwidget.h
+
+effects.o: effects.cpp effects.h \
+		mainfrm.h \
+		dialog.h \
+		mandvd_global.h \
 		qmplayerwidget.h
 
 lang.o: lang.cpp mandvd_global.h \
+		mainfrm.h \
 		lang.h \
-		langSV.h \
 		langPT.h \
 		langGE.h \
-		mainfrm.h \
 		qmplayerwidget.h
 
 main.o: main.cpp mandvd_global.h \
 		mainfrm.h \
 		qmplayerwidget.h
 
-mandvd.o: mandvd.cpp mandvd_global.h \
-		mandvd.h \
-		mainfrm.h \
+mandvd.o: mandvd.cpp mandvd.h \
+		mainfrm.h \
+		mandvd_global.h \
+		dialog.h \
 		qmplayerwidget.h
 
 qmplayerwidget.o: qmplayerwidget.cpp xml_mplayer.h \
@@ -205,9 +231,9 @@
 		slideshow.h \
 		qmplayerwidget.h
 
-subtitle.o: subtitle.cpp mandvd_global.h \
-		subtitle.h \
-		mainfrm.h \
+subtitle.o: subtitle.cpp subtitle.h \
+		mainfrm.h \
+		mandvd_global.h \
 		qmplayerwidget.h
 
 mainfrm.h: mainfrm.ui qmplayerwidget.h
@@ -219,9 +245,14 @@
 mainfrm.o: mainfrm.cpp mainfrm.ui.h \
 		mainfrm.h
 
+moc_dialog.o: moc_dialog.cpp  dialog.h 
+
 moc_qmplayerwidget.o: moc_qmplayerwidget.cpp  qmplayerwidget.h 
 
 moc_mainfrm.o: moc_mainfrm.cpp  mainfrm.h qmplayerwidget.h
+
+moc_dialog.cpp: $(MOC) dialog.h
+	$(MOC) dialog.h -o moc_dialog.cpp
 
 moc_qmplayerwidget.cpp: $(MOC) qmplayerwidget.h
 	$(MOC) qmplayerwidget.h -o moc_qmplayerwidget.cpp
