## mandvd 2.6-1

=== debian/changelog ===
mandvd (2.6-1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Refresh 01-ntsc_projects_fps.diff.
  * Bump Standards.
  * Update debian/copyright file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Jul 2010 16:43:53 +0200
