=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 5), libqt3-mt-dev
-Standards-Version: 3.8.4
+Build-Depends: cdbs,
+ debhelper (>= 5),
+ libqt3-mt-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-apps.org/content/show.php?content=83906
 
 Package: mandvd
